For the complete documentation index, see llms.txt. This page is also available as Markdown.

Google Search

Google Search: web search results.

get

Returns Google search results for query. Use page for pagination or maxItems for a one-shot bulk pull (mutually exclusive).

Cost: 20 credits/request + 1 credit/item

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
querystring · min: 1 · max: 1000RequiredExample: openai
safestringOptional
hlstringOptional
countrystringOptional
countstring · enumOptionalPossible values:
noEncodestringOptional
maxItemsinteger · min: 1 · max: 200Optional
pageinteger · min: 1 · max: 9007199254740991Optional
Responses
200

Successful request

application/json
requestIdstring · uuidOptionalExample: 3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24
statusintegerOptionalExample: 200
messagestringOptionalExample: OK
successbooleanOptionalExample: true
get/google-search/search
GET /google-search/search?query=text HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
  "status": 200,
  "message": "OK",
  "success": true,
  "data": [
    {
      "type": "searchResult",
      "title": "OpenAI | OpenAI",
      "link": "https://openai.com/",
      "snippet": "We believe our research will eventually lead to artificial general intelligence, a system that can solve human-level problems."
    }
  ],
  "pagination": {
    "page": 1,
    "hasNextPage": null,
    "cursor": null,
    "offset": null
  },
  "pricing": {
    "creditsCharged": 21
  }
}

Last updated